#ifndef SCM_GETTEXT_H
#define SCM_GETTEXT_H

/* Copyright 2023
     Carlos Durán Domínguez <wurt@wurtshell.com>.

   This file is part of Guile Gettext.

   Guile is free software: you can redistribute it and/or modify it
   under the terms of the GNU Lesser General Public License as published
   by the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   Guile is distributed in the hope that it will be useful, but WITHOUT
   ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
   FITNESS FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public
   License for more details.

   You should have received a copy of the GNU Lesser General Public
   License along with Guile Gettext.  If not, see
   <https://www.gnu.org/licenses/>.  */

#include <libguile.h>

SCM scm_pgettext (SCM msgctxt, SCM msgid, SCM domainname, SCM category);
SCM scm_npgettext (SCM msgctxt, SCM msgid, SCM msgid_plural, SCM n, SCM domainname, SCM category);

#endif  /* SCM_GETTEXT_H */
