(use-modules
  (guix packages)
  ((guix licenses) #:prefix license:)
  (guix download)
  (guix build-system gnu)
  (gnu packages)
  (gnu packages autotools)
  (gnu packages guile)
  (gnu packages guile-xyz)
  (gnu packages pkg-config)
  (gnu packages texinfo)
  (gnu packages gettext))

(package
 (name "guile-gettext")
 (version "0.1")
 (source (origin
	  (method url-fetch)
	  (uri (string-append
		"https://wurtshell.com/guile-gettext/releases/guile-gettext-"
		version ".tar.gz"))
	  (sha256
	   (base32
	    "14ap3n7g41vj3l8fcr8hm00byg04r5pqhalq4gmy04p1iyy42c41"))) )
 (build-system gnu-build-system)
 (native-inputs
  `(("autoconf" ,autoconf)
    ("automake" ,automake)
    ("pkg-config" ,pkg-config)
    ("texinfo" ,texinfo)
    ("libtool" ,libtool)
    ("gettext-minimal" ,gettext-minimal)))
 (inputs `(("guile" ,guile-3.0)))
 (synopsis "")
 (description "")
 (home-page
  "https://wurtshell.com/projects/gettext")
 (license license:gpl3+))

